from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from uno import XInterface

@runtime_checkable
class XInfobarProvider(XInterface, Protocol):
    def hasInfobar(self, id: str) -> bool: ...
